#if !defined(AFX_CONFIGUREAREAACCESS_H__5DEB8B7F_D99B_4704_AC54_07D83AECA918__INCLUDED_)
#define AFX_CONFIGUREAREAACCESS_H__5DEB8B7F_D99B_4704_AC54_07D83AECA918__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigureAreaAccess.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigureAreaAccess dialog

class CConfigureAreaAccess : public CDialog
{
// Construction
public:
	CConfigureAreaAccess(CWnd* pParent = NULL);   // standard constructor
	CConfigureAreaAccess(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CConfigureAreaAccess)
	enum { IDD = IDD_ACCESS_AREA };
	CListBox	m_Readers_TZ;
	CListBox	m_ReadersList;
	CComboBox	m_Timezones;
	CComboBox	m_AreaList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CComboBox	m_AcclList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigureAreaAccess)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigureAreaAccess)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnSelchangeArealist();
	afx_msg void OnConfArea();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadSubAccounts(long lAcctID);
	void LoadAccessLevels();
	void LoadReaders();
	void LoadAvailBranchTZs();
	void LoadBranchList();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGUREAREAACCESS_H__5DEB8B7F_D99B_4704_AC54_07D83AECA918__INCLUDED_)
